<?php declare(strict_types=1);
/**
 * Banker
 *
 * A Caching library implementing psr/cache (PSR 6)
 *
 * PHP version 7.2
 *
 * @package     Banker
 * @author      Timothy J. Warren <tim@timshomepage.net>
 * @copyright   2016 - 2019  Timothy J. Warren
 * @license     http://www.opensource.org/licenses/mit-license.html  MIT License
 * @version     3.0.0
 * @link        https://git.timshomepage.net/timw4mail/banker
 */
namespace Aviat\Banker\Tests;

use Aviat\Banker\ItemCollection;
use PHPUnit\Framework\TestCase;

class ItemCollectionTest extends TestCase {

	protected $collection;

	public function setUp(): void
	{
		$this->collection = new ItemCollection([]);
	}

	public function testJsonSerialize(): void
	{
		$this->assertEquals([], $this->collection->jsonSerialize());

		$json = json_encode($this->collection);
		$result = json_decode($json);
		$this->assertEquals([], $result);
	}
}